Sun StorEdge Diagnostic Expert 1.2

Version 1.2.03.004 Release Notes

Part Number: 817-0197-10
February 12, 2003
=========================

READ BEFORE USING THIS REVISION

The Release Notes contain information specific to this 
revision. This information is not located elsewhere in the 
product documentation set.

The Release Notes for this product are on the product media. 
You can print them as you would any other ASCII file.

Copyright 2003 Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, CA 94303 USA. All rights reserved. 

This product or document is protected by copyright and distributed 
under licenses restricting its use, copying, distribution, and 
decompilation. No part of this product or document may be reproduced 
in any form by any means without prior written authorization of Sun 
and its licensers, if any. Third-party software, including font 
technology, is copyrighted and licensed from Sun suppliers.

Parts of the product may be derived from Berkeley BSD systems, licensed 
from the University of California. UNIX is a registered trademark in 
the U.S. and other countries, exclusively licensed through X/Open 
Company, Ltd.

Sun, Sun Microsystems, the Sun logo, AnswerBook, Sun StorEdge, Sun
StorTools, Sun StorEdge T3, T3+, and 6120 array, and Solaris 
are trademarks, registered trademarks, or service marks of 
Sun Microsystems, Inc. in the U.S. and other countries. 
All SPARC trademarks are used under license 
and are trademarks or registered trademarks of SPARC International, 
Inc. in the U.S. and  other countries. Products bearing SPARC 
trademarks are based upon an architecture developed by Sun 
Microsystems, Inc.


The OPEN LOOK and Sun(TM) Graphical User Interface was developed by 
Sun Microsystems, Inc. for its users and licensees. Sun acknowledges the 
pioneering efforts of Xerox in researching and developing the concept of 
visual or graphical user interfaces for the computer industry. Sun holds 
a non-exclusive license from Xerox to the Xerox Graphical User Interface, 
which license also covers Sun's licensees who implement OPEN LOOK 
GUIs and otherwise comply with Sun's written license agreements.

RESTRICTED RIGHTS: Use, duplication, or disclosure by the U.S. Government 
is subject to restrictions of FAR 52.227-14(g)(2)(6/87) and FAR 
52.227-19(6/87), or DFAR 252.227-7015(b)(6/95) and DFAR 227.7202-3(a).

DOCUMENTATION  IS PROVIDED "AS IS" AND ALL EXPRESS OR IMPLIED CONDITIONS, 
REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF 
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, 
ARE DISCLAIMED, EXCEPT TO THE EXTENT THAT SUCH DISCLAIMERS ARE HELD TO 
BE LEGALLY INVALID.

Copyright 2003 Sun Microsystems, Inc., 901 San Antonio Road, 
Palo Alto, CA 94303 Etats-Unis. Tous droits reserves. 

Ce produit ou document est protege par un  copyright et distribue avec des 
licences qui en restreignent l'utilisation, la copie, la distribution, 
et la decompilation. Aucune partie de ce produit ou document ne peut etre 
reproduite sous aucune forme, par quelque moyen que ce soit, sans 
l'autorisation prealable et ecrite de Sun et de ses bailleurs de licence, 
s'il y en a. Le logiciel detenu par des tiers, et qui comprend la 
technologie relative aux polices de caracteres, est protege par un 
copyright et licencie par des fournisseurs de Sun.

Des parties de ce produit pourront etre derivees des systemes  
Berkeley BSD licencies par l'Universite de Californie. UNIX est une 
marque deposee  aux Etats-Unis et dans d'autres pays et licenciee 
exclusivement par X/Open Company, Ltd. 

Sun, Sun Microsystems, le logo Sun, AnswerBook, Sun StorEdge, Sun 
StorTools, Sun StorEdge T3, et Solaris  sont des marques de fabrique 
ou des marques deposees, ou marques de service, de Sun Microsystems, Inc. 
aux Etats-Unis et dans d'autres pays. Toutes les marques SPARC sont 
utilisees sous licence et sont des marques de fabrique ou des marques
deposees de SPARC International, Inc. aux Etats-Unis et dans d'autres 
pays.  Les produits portant les marques SPARC sont bases sur une 
architecture developpee par Sun Microsystems, Inc.

L'interface d'utilisation graphique OPEN LOOK et Sun(TM) a ete 
developpee par Sun Microsystems, Inc. pour ses utilisateurs et licencies. 
Sun reconnait les efforts de pionniers de Xerox pour la recherche et le 
developpement du concept des interfaces d'utilisation visuelle ou 
graphique pour l'industrie de l'informatique. Sun detient une licence 
non exclusive de Xerox sur l'interface d'utilisation graphique Xerox, 
cette licence couvrant egalement  les licencies de Sun qui mettent en 
place l'interface d'utilisation graphique OPEN LOOK et qui en outre se 
conforment aux licences ecrites de Sun.

CETTE PUBLICATION EST FOURNIE "EN L'ETAT" ET AUCUNE GARANTIE, 
EXPRESSE OU IMPLICITE, N'EST ACCORDEE, Y COMPRIS DES GARANTIES 
CONCERNANT LA VALEUR MARCHANDE, L'APTITUDE DE LA PUBLICATION 
A REPONDRE A UNE UTILISATION PARTICULIERE, OU LE FAIT 
QU'ELLE NE SOIT PAS CONTREFAISANTE DE PRODUIT DE TIERS. 
CE DENI DE GARANTIE NE S'APPLIQUERAIT PAS, DANS LA MESURE 
OU IL SERAIT TENU JURIDIQUEMENT NUL ET NON AVENU.


DOCUMENT STRUCTURE
==================
These Release Notes contain the following sections:

o Introduction
o Audience
o Deliverables
o Related Documentation
o Qualified Platforms
o Required patches
o Installation Instructions
o Deinstallation Instructions
o Product Hints
o External Products and Packages
o Sun StorEdge Diagnostic Expert 1.2 Changes and Enhancements
o Known Issues 
o Media Contents


INTRODUCTION
============

The Sun StorEdge Diagnostic Expert 1.2 package 
provides a graphical user interface, enabling the user to remotely 
monitor and diagnose Sun storage devices.  The Agent can be used 
to collect data and analyze the condition of Sun StorEdge devices.
The Diagnostics can be used to verify the condition
of a system, identify failing FRUs and verify FRU replacement.


AUDIENCE
========

The Sun StorEdge Diagnostic Expert is for use by 
system administrators and support personnel 
who are familiar with Sun's disk array and SAN products.


DELIVERABLES
============
Documentation Delivered With This Product
-----------------------------------------
The following documentation is delivered with this product:

Application     Title
-----------     -----
Man Pages                               

User/Admin      Sun StorEdge Diagnostic Expert 1.2
                User's Guide (817-0195-10)
                
                Sun StorEdge Diagnostic Expert 1.2
                Online Help (817-0196-10)
  

PRODUCT PACKAGING
=================

The Sun StorEdge Diagnostic Expert software is 
distributed as an unbundled product in the pkgadd format as SUNWsade and
SUNWsadev. 


RELATED DOCUMENTATION
=====================


ESM 1.2
--------
Sun StorEdge Diagnostic Expert Release Notes
817-0197

Enterprise Storage Manager 1.2 Overview
817-1039

Enterprise Storage Manager 1.2 Installation Guide
817-1037

Enterprise Storage Manager 1.2
Topology Reporter Administration and Operations Guide
817-1111

Sun StorEdge Enterprise Storage Manager 1.0 Configuration Service Administrator's Guide
816-4295

Storage Automated Diagnostic Environment User's Guide, Version 2.2
817-0192

Solaris software
-----------------
Solaris Handbook for Sun Peripherals
806-2210

Sun StorEdge T3+ array
----------------------
Sun StorEdge T3+ Array Release Notes
816-4771

Sun StorEdge T3+ Array Start Here 
816-4768

Sun StorEdge T3 and T3+ Array Regulatory and Safety Compliance Manual
816-0774

Sun StorEdge T3+ Array Installation and Configuration Manual
816-4769

Sun StorEdge T3+ Array Administrator's Guide
816-4770

Sun StorEdge T3 Array Cabinet Installation Guide
806-7979



Sun StorEdge 6120 array 
-----------------------
Start Here (Documentation Guide)
817-0198

Important Safety Information for Sun Hardware Systems
816-7190

Sun StorEdge 6120 Array Installation Guide
817-0199

Sun StorEdge 6120 Array Administration and Reference
817-0200

Sun StorEdge 6120 Array Release Notes
817-0201


Sun StorEdge 3510 FC array
--------------------------
The entire Minnow product line is the
Sun StorEdge 3000 Family:
www.sun.com/storage/workgroup/3000


Sun StorEdge Host Bus Adapter
------------------------------
Sun StorEdge PCI FC-100 HBA Installation Manual
805-3682

Sun StorEdge SBus FC-100 Host Adapter Installation &Service
802-7572

Sun StorEdge PCI Dual FC Host Adapter Product Notes
806-5857

Sun StorEdge PCI Dual FC Host Adapter Installation Guide
806-4199

Sun StorEdge 2 Gb PCI Single FC Host Adapter Product Notes
816-5000

Sun StorEdge 2 Gb PCI Single FC Host Adapter Installation Guide
816-4999

Sun StorEdge 2 Gb cPCI Dual FC Host Adapter Product Notes
816-5002

Sun StorEdge 2 Gb PCI Dual FC Host Adapter Installation Guide
816-5001

Sun StorEdge 2 Gb cPCI Dual FC Host Adapter Installation Guide
X6769A



Sun StorEdge 6320 system
------------------------
Sun StorEdge 6320 Series Installation Guide
816-7878

Sun StorEdge 6320 Series Reference and Service Guide
816-7879

Sun StorEdge 6320 Series Regulatory and Safety Compliance Manual
816-7876

Sun StorEdge 6320 Series Site Prep Guide
816-7877

Man pages (CLI commands on Storage Service Processor)
N/A

Sun StorEdge SAN 4.0
(1 Gbit switches)
----------------------
Sun StorEdge SAN 4.0 Release Guide to Documentation
816-4470

Sun StorEdge SAN 4.0 Release Installation Guide
816-4469

Sun StorEdge SAN 4.0 Release Configuration Guide
806-5513

Sun StorEdge Network 2 Gb FC Switch-16 FRU Installation
816-5285

Sun StorEdge SAN 4.0 Release Notes
816-4472


Sun StorEdge SAN 4.1
(2 Gbit switches)
-------------------------

Sun StorEdge SAN 4.1 Release Guide to Documentation
817-0061

Sun StorEdge SAN 4.1 Release Installation Guide
817-0056

Sun StorEdge SAN 4.1 Release Configuration Guide
817-0057

Sun StorEdge SAN 4.1 2 Gb Brocade Silkworm Fabric Switch Guide to Documentation
817-0062

Sun StorEdge SAN 3.1 2 Gb McData Intrepid Director Switch Guide to Documentation
817-0063

Sun StorEdge SAN 4.1 Release Notes
817-0071


QUALIFIED PLATFORMS
===================
You can use the SUNWsade package on the following platforms and
operating systems:


Sun Platforms        : All Sun Sparc Solaris servers.

Sun StorEdge         : Sun StorEdge T3 array (F/W 1.18 or greater)
                     : Sun StorEdge T3+ array (F/W 2.1 or greater)
                     : Sun StorEdge 6120 array (F/W 3.0 or greater)
                     : Sun StorEdge 6320 series 
                     

SAN                  : Sun StorEdge Network FC Switch-8 and Switch-16.
                       Sun StorEdge Network 2 Gb FC Switch-8, Switch-16 
                       and Switch-64.
                       Brocade Silkworm 2400/2800 FC 1 Gbit Switch
                       Brocade Silkworm 3200/3800/12000 FC 2 Gbit Switch

Host Bus Adapters    : Sun StorEdge PCI FC-100 Host Adapter 
                       Sun StorEdge SBus FC-100 Host Adapter 
                       Sun StorEdge PCI Dual Fibre Channel Host Adapter 
                       Sun StorEdge 2 Gb FC PCI Single Channel Network Adapter
                       Sun StorEdge 2 Gb FC PCI Dual Channel Network Adapter
                       Sun StorEdge 2 Gb FC cPCI Dual Channel Network Adapter  


Operating Systems    : Solaris 9
                       Solaris 8 02/02 (See required patches).

                       Sun Storage Automated Diagnostic Environment 
                       is not supported on older versions of Solaris.

Browsers:            : Netscape 4.79, Netscape 7.0, Internet Explorer 5.0

Required Patches
================
Java 1.4.0 requires several patches for Solaris 8.
See  http://java.sun.com/j2se/1.4/install-solaris-patches.html#2.8
for a list of required patches.

INSTALLATION INSTRUCTIONS
=========================

o You must be superuser to install this package.

o Installation from CD

  # su
  # cd /cdrom/cdrom0/product/packages
  # pkgadd -d .


o Select SUNWsade and be prepared to provide the complete path to a Java 
  JDK version 1.4.0. If a JDK is not readily 
  available then you must first install the JDK 1.4.0 or greater before 
  continuing. See the section on required patches for JRE 1.4.0.

o Answer whether or not you wish to run the web server in secured mode.
  If you answer no then the client browser can connect using http: As normal.
  If you answer "yes" then the client browser must use https: port 8443 and all data
  transmitted from the web server to the client browser will be encrypted.
  
        Example: Run webserver in secure mode? (y/n) [default n] :n

o Answer whether or not the SSDE web server should automatically be restarted
  when the management host is rebooted.
   
        Example: Run SSDE web server when machine reboots? (y/n) [default n] :n
        

o Answer yes to "Do you want to install these as setuid/setgid files?"

o Answer yes to "This package contains scripts which will be executed with super-user
  permission during the process of installing this package."
  Do you want to continue with the installation of <SUNWsade> [y,n,?]y

o Select SUNWsadev to install the device package.

o Locate potential patch(es) on sunsolve and download/install.

o Sun StorEdge Diagnostic Expert 1.2 requires that one role be assigned to
  any user id that is expected to be able to log into it. That role
  is SA_Admin. The following procedures should be used to either create
  a new user id with a role or modify an existing user id with a role.
  This process should only be implemented once. SUNWsade pkgadd adds the
  SA_Admin role to the system, and pkgrm leaves it there. User attributes
  are not affected by installing or removing the application.

  - To Create user login(s) 
    useradd -s /bin/pfcsh username
    passwd username

  - To Modify a userid by adding a role.
    usermod -R SA_Admin username


o After the package and patch(es) are completely installed, execute the program 
  "/opt/SUNWsade/bin/sade" to start/stop the application. 

  # /opt/SUNWsade/bin/sade start

o After installing, set the environment 
  variables PATH and MANPATH to include the
  directories "/opt/SUNWsade/bin" and "/opt/SUNWsade/man". 

  # man sade

o Review the User's Guide located at /opt/SUNWsade/docs/UserGuide.pdf

o Following the sade procedure, connect to the 
  system using a supported browser using port 8088.  
  For example: http://{hostname}:8088
  Or https://{hostname}:8443 if the web server is in secured mode.

o login as user defined above

o The first login requires that the user enter mandatory site properties from the
  Administration screen. Until this information is entered, all logins will default
  to this screen and request this information. A user is not allowed to navigate to any
  other screen until this information is complete. Once the site information is entered
  subsequent logins will default to the Assets tab/screen
  
o Select Administration -> Device Addition to add devices.
  - Select "Run New Discovery" 
  - Select a device type or "all"
  - Enter the "From IP Address" and "to IP Address" fields and
    appropriate Devices will be returned in a Discovered Devices List.
  - The user can then select devices followed by the "add" button to add
    those devices to the configuration for monitoring.
   
o Setup Notification Services
  Select the Notification Tab to configure all the application notification services.
    
o Sun StorEdge Diagnostic Expert can monitor host bus adapters contained in hosts running
  the data host agent package SUNWstadh. Please refer to the SUNWstadh package
  release notes for instructions on installing the agent and configuring
  it to send it's data to Sun StorEdge Diagnostic Expert 1.2. Once SUNWstadh has been installed
  and configured a device type of "Data Host" can be accessed in the Asset section
  of Sun StorEdge Diagnostic Expert's UI. Alarms and Events occur and are accessed in the same manner
  as any other monitored device. Installation instructions for SUNWstadh are also 
  included here as a convenience.

  ================================== SUNWstadh Install ================================

    Locate the compressed data host agent package SUNWstadh_2.2.XX.00X.tar.Z from 
    the CD to /tmp of the data host.
    
   - StorEdge Diagnostic Environment (Datahost Agent)  
  
    # uncompress SUNWstadh_X.X.X.00X.tar.Z
    # tar -xvf /tmp/SUNWstadh_2.2.XX.00X.tar
    # pkgadd -d . 

    o  Select SUNWstadh and answer all prompts.
       When the pkgadd is complete the following message is posted:

        -----------------------------------------------------
        After the package is completely installed, execute   
        the program '/opt/SUNWstadh/bin/ras_install'.        
        This will complete the installation of SUNWstadh .
        -----------------------------------------------------
              If you choose not to use cron this time, re-run      
              ras_install later to establish a cron entry.         
              -----------------------------------------------------
    
    # /opt/SUNWstadh/bin/ras_install
 
   **** Installing the Package and Crons ****
 
  To install a Data-Host package, the IP Name/Address of the 
  Sun StorEdge Diagnostic Expert 1.2 Management Station must be known. 
  If you have not installed EMS 1.2 with Sun StorEdge Diagnostic Expert 1.2
  on a Management Station, abort this install and install 
  the ESM 1.2 package on a host to be configured as the 
  Management Station first.
  
Enter the IP Name/Address:port of the Management Station
? The default port SUNWsade is 8088(default=:8088)
    
        123.45.65.89:8088    <- example IP/PORT  
        
        - Testing communication with host '172.20.104.27:8088' ..
 
  ** Found 172.20.104.27.
? Enter probing frequency (5/10/15/20/30/40/50/60/90/120)(default=10) 5

? Enter System-Admin email address:

? Enter message file location(default=/var/adm/messages) 

? Do you want to C=start or P=stop the Agent cron 
[C/P] : (default=C) C

** cron installed.
- Testing access to the web server, (this will time out after 30 secs) ...
 ***** ping '123.45.65.89' succeeded! 
 Done.


DEINSTALLATION INSTRUCTIONS
============================

o To remove the package in order to update to the next revision: 
  - pkgrm SUNWsade 
    Answer "Y" to the question that informs the user that SUNWsadev
    depends on it.
  - pkgrm SUNWsadev

o To remove the package completely so that no configuration data is saved:
  -Remove the two packages as indicated in the above process, then 
   remove the /var/opt/SUNWsade directory (database and configuration data) and
   remove user roles/references.

   # rm -rf /var/opt/SUNWsade
   
  -Remove user roles that were added by Sun StorEdge Diagnostic Expert's installation.

   # /usr/sbin/roledel SA_Admin

  - It is not essential, however you may want to remove the SA_Admin role from
    users who were assigned to it if SUNWsade is being permanently removed.


PRODUCT HINTS
=============
o If the user decides that the database or log files have grown to an excessive
  size, the purge option can be used to clear them. This process requires that the
  web server be stopped and restarted.
  
  1) /opt/SUNWsade/bin/sade stop    <- Stops the web server.
  2) /opt/SUNWsade/bin/sade purge   <- Purges the database and log files.
  2) /opt/SUNWsade/bin/sade start   <- Restarts the web server.

  Note:sade purge deletes all files in /var/opt/SUNWsade/db and /var/opt/SUNWsade/log
  which are the database file and the log files. Devices configuration files are
  retained so the user would not have to rediscovery after using purge.


o You should be familiar with UNIX commands and Sun's disk array 
  products before attempting to use this product. 

o System administrators should know about security risks associated with
  installing a web server. Take the appropriate action to protect access
  to the SUNWsade port 8088.

o Solaris 8 users need to install the SUNWsan pkg and patch 111413-05 or 
  newer.

o Must use "/opt/SUNWsade" as the package base directory.

o When installing a new patch to SUNWsade: 
  stop the agents by executing "sade stop" before the installing the update
  run "sade start" after installing the update

o For Sun StorEdge(TM) T3 and Sun StorEdge(TM) Network FC Switch-8 
  Switch-16 connected in a non-Solaris environment, the package must be
  installed on a Solaris server and configured to monitor the devices 
  through the management path.  

o If there are existing problems with a storage device when the package 
  is installed, these will not be detected or reported.  
  They will, however, generate an event (type of event is based on the 
  type of failure) when the error condition is corrected.  

o Brocade FC Switch configurations using segmented loop 
  (SL) zones can be monitored and diagnosed but the topology 
  views will not show connections between devices.

o When using Netscape 4.79 the following error may occur if 
  separate browser sessions are initiated from the command line. 

  #error The certificate issuer for this server is not recognized by Netscape. 
  The security certificate may or may not valid.
  Netscape refuses to connect to this server (-8179) java40.tar/ifc11.jar
  java.lang.SecurityExcpetion: system classes not signed

  exit Netscape (close all windows)

  Solaris:
  cd .netscape
  mv key3.db key3.bad
  mv cert7.db cert7.bad
  restart Netscape

  Windows:
  C:/Program Files/Netscape/Users/username/
  rename key3.db key3.bad
  rename cert7.db cert7.bad

o The product does not require that your root environment contain a path
  to Java, however if an error indicating such occurs set this path as follows.
  BUG: You must first ensure that your root environment has a path to 
        the 1.4.0 version of Java.

    Example: assumes ksh: 
    Ensure you are in the ksh directory:  /usr/bin/ksh
    Next: export PATH=/net/speserv/diag_src/tools/j2sdk1.4.0/bin:$PATH 


==============================
External Products and Packages
==============================
o SUNWstadh - Sun StorEdge Diagnostic Expert can monitor host bus adapters contained in hosts
  running the data host agent packaged SUNWstadh. SUNWstadh is available on 
  ESM 1.2 CD. Please refer to the SUNWstadh package release notes for 
  instructions on installing the agent and configuring it to send it's data to 
  Sun StorEdge Diagnostic Expert 1.2. Once SUNWstadh has been installed and configured a 
  device type of "Data Host" can be accessed in the Asset section of Diagnostic
  Expert's UI. Alarms and Events occur and are accessed in the same manner
  as any other monitored device.
  
  NOTE: The SUNWstadh install will abort if it finds that the SUNWstade (StorADE 2)
        is installed. This is because the two packages are not allowed to co-exist.
        The user must decide which product, StorADE 2 or Sun StorEdge Diagnostic Expert 1.2 will
        be used to monitor that hosts HBAs. If you wish to use Sun StorEdge Diagnostic Expert to
        monitor that hosts HBAs then StorADE 2 must be removed. Be aware that StorADE 2
        may be performing other functions for devices other than HBAs. IF StorADE 2
        is removed then the loss of the those functions will occur.

o SunMC - Sun StorEdge Diagnostic Expert is capable of sending alarms for devices that it supports
          to the Sun Management Center (SunMC). If you are not planning
          on using the SunMC services, then the following two packages 
          provided with Sun StorEdge Diagnostic Expert should be ignored. 

  o SUNWesraa - This SunMC Module package is designed for the SunMC agent
    environment and must be installed on a host that has the SunMC agent 
    running on it. This may or may not be the Sun StorEdge Diagnostic Expert host. This 
    module receives data from Sun StorEdge Diagnostic Expert and forwards it to the SUNMC
    server. In either case, the host IP of this agent must be provided to 
    Sun StorEdge Diagnostic Expert. The package is installed using the standard Solaris
    pkgadd(1) utility.
  
  o SUNWesras - This SunMC Module package is designed for the SunMC server
    environment and is optionally installed on the SunMC server host.
    The package is installed using the standard Solaris pkgadd(1) utility.
 
  The following process is recommended in order to install and activate SunMC
  for Sun StorEdge Diagnostic Expert and assumes that the SunMC application is already running.

  (a) Install the SunMC agent on the selected host. It is recommended that this
      also be the Sun StorEdge Diagnostic Expert management station.
   
  (b) Install the module package SUNWesraa on the same machine identified in 
      step (a).

  (c) Use the SunMC command/console to start the SunMC agent and load the module 
      called "rasagent". While the  module is loaded you will be required to
      provide the  IP address of the Sun StorEdge Diagnostic Expert management station in the 
      "Provider IP Address" field.
      
  (d) In Sun StorEdge Diagnostic Expert, set the "SRS/SunMC" fields in the "Notification 
      Configuration", where "Server" should be the IP address/name of the 
      host where the module is installed, for example;
      "Port" should be 18055; "Resource" can be anything.

  Note: All of the above  steps should occur before devices are added into DE 1.2. 
        Otherwise, the topology info may not be sent to SunMC.

  (e) If user wants to perform the "Group Operation" in SunMC, he should install 
      the module package SUNWesras on the SunMC server host. 

Once activated the SunMC module will receive information on what devices are
being monitored and will display alarms in the SunMC console generated in 
Sun StorEdge Diagnostic Expert 1.2. If further information is required for the alarms, 
log into the instance of Sun StorEdge Diagnostic Expert 1.2 to view the alarm details.

For more information on SunMC, please refer to http://network.east/commu-team/symon/
or the SunMC User's Guide.



Known Issues (with items stated as delivered in this release).
====================================================================
1. You must remove all database files before installing 1.2.03.003 as it is not
   compatible with previous version of the product.

2. Using the beta version of Netscape 7 can cause hangs and prohibit
   the user from logging in. 

3. Sun StorEdge Diagnostic Expert 1.2 prohibits the running of tests if a
   test marked "exclusive" is currently running. If an "exclusive" test hangs, 
   then the product becomes unable to run any test. There are many fail 
   safe mechanisms to prevent tests from hanging but if this ocurrs, the user must stop and
   then restart sade as a work around. 

4. Sun 1Gb swithes will show a status of degraded even when there is no
   issue. This is a known Qlogic firmware bug.

5. Sun 69XX and 6320 Solutions must be added through "Run New Discovery".
   These devices use the "Sun Storage Solution Rack" option in "Run New
   Discovery". It is possible but difficult to determine the "Device Key" 
   for these products which is required if you chose to add the Solution via
   the "Add Device Manually" option.

6. When you add Sun Solution Rack through "Run New Discovery" you are not
   given the opportunity to enter the devices management application URL.
   This can be add after discovery by going to the Assets screen for the
   device and editing the devices properties.

7. In order for Sun StorEdge Diagnostic Expert 1.2 to communicate with Sun 
   StorEdge 6320 series solutions, they must be configured to use the 
   non-secure port #7654. If you chose to use the secure port #7443,
   then the Sun StorEdge Diagnostic Expert will not be allowed access
   to the device.

8. Alarm and Event pages can be filtered to onlty show certain messages for
   certain device types. Some alarms and events are logged towards links 
   inbetween devices. Beware that in order to see the link type alarms and
   events you must sort on "all".

9. If the FC-2 Switchtest for Sun 2Gb switches is started and then aborted,
   a failure code of 122 may be presented. The probable cause and recommended
   action should be ignored as it will incorrectly call out failed components.
   The test should simply be re-run if it was aborted and true results are
   required.


Bugs open for known problems
============================
4774267 Sun 2Gb Switchtest can failing with a return code of 122. 
4771420 Switch "degraded" attribute is a firmware  bug. See 4753774.            
4791668 Link Alarms not showing in Assets > Summary > Devices with Alarms       
4794568 Sun 3510 displays a unique ID that is not the WWN.
4808984 FRU removal and FRU addition event generated in reaction to "disable u1"
4816219 Sun 1Gb switches may not show all topology connections fw:40226      



